# BE class

The BE document.

Inheritance
  - Object
  - GenericDocumentWrapper
  - Category
  - BE

## Constructors

BE(GenericDocument document)

## Properties

document ↔ GenericDocument
  read / write inherited
documentType → DocumentType
  read-only override
hashCode → int
  The hash code for this object.
  read-only inherited
restrictions ↔ TextFieldWrapper
  Restrictions
  read / write inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
validFrom ↔ TextFieldWrapper
  Valid from
  read / write inherited
validUntil ↔ TextFieldWrapper
  Valid until
  read / write inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
  `"DeDriverLicenseBack.Categories.BE"`
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.
  `"BE"`